//
// Created by bruno on 8.2.2025.
//

#ifndef RISCB_CPUSTATUSUI_H
#define RISCB_CPUSTATUSUI_H

#include "font.h"
#include "../cpu/core.h"

typedef struct {
    char name[5];
    uint32_t value;
} CPUStatusPart;

void renderVals(CPU *cpu, BitmapFont *titleFont, BitmapFont *valueFont,
                        SDL_Renderer *renderer, SDL_Texture ** out);

void renderState(CPU *cpu, BitmapFont *titleFont, SDL_Renderer *renderer, SDL_Texture **out);

void getStats(CPU *cpu, CPUStatusPart **cpuStatus, int *cpuStatusCount);

#endif //RISCB_CPUSTATUSUI_H
